---
search:
  tags:
    - Storage
    - GET
seo:
  description: >-
    List every stored object with the service it sources. Reference for the GET
    /api/admin/files endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: List every stored object with the service it sources
  badge: GET
title: List every stored object with the service it sources
type: openapi-operation
---
`GET /api/admin/files`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `500` — Unhandled server error

Response example, 200:

```json
[
  {
    "sizeBytes": 0,
    "reservedBytes": 0,
    "id": "string",
    "prefix": "string",
    "fileId": "string",
    "uploadedAt": "2019-08-24T14:15:22Z",
    "serviceId": "string",
    "serviceSlug": "string",
    "serviceName": "string"
  }
]
```
